Data Fields
caca_event Struct Reference
libcaca attribute definitions

Handling of user events. More...

`#include <caca.h>`

## Data Fields
enum caca_event_type | type
union { |
struct { |
int x |
int y |
int button |
} mouse
struct { |
int w |
int h |
} resize
struct { |
int ch |
uint32_t utf32 |
char utf8 [8] |
} key
} | data

## Detailed Description

This structure is filled by caca_get_event() when an event is received. It is an opaque structure that should only be accessed through caca_event_get_type() and similar functions. The struct members may no longer be directly accessible in future versions.